Shows history of transactions for user

Get transactions history for the authenticated user with filters, sorting and pagination.
Requires either 'view_business_transactions_for_accessible_accounts' or 'view_all_accounts_details_balance' permission.
NOTE: This endpoint proxies to the accounts service. Response includes enhanced pagination metadata (totalCount, page, pageSize, pagination object with total/count/perPage/currentPage/totalPages) and navigation links (first, last, prev, next).

Query Params
string
enum

Sorts records. Can be sorted in DESC direction by adding '-' prefix

Allowed:
string

Search by description

string
enum

Applies filter by status

Allowed:
string
enum

Applies filter by category

Allowed:
string
enum

Applies filter by type of transactions - incoming or outgoing

Allowed:
string
enum

Applies filter by purpose

string
enum

Applies filter by type

Allowed:
string

Applies filter by account id

string

Applies filter by createdAt. Returns records where date >= passed (RFC3339 format, e.g., 2023-01-15T10:30:00Z)

string

Applies filter by createdAt. Returns records where date < passed (RFC3339 format, e.g., 2023-01-15T10:30:00Z)

string

Applies filter by statusChangedAt. Returns records where date >= passed (RFC3339 format, e.g., 2023-01-15T10:30:00Z)

string

Applies filter by statusChangedAt. Returns records where date < passed (RFC3339 format, e.g., 2023-01-15T10:30:00Z)

string

Page size (default: 20, max: 100). Specifies count of objects returned in response

string

Page number (default: 1). Specifies page number to be shown in response. size + number makes offset for records

Headers
string
required

Bearer token

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json